-- Testprogram for GenDLL
-- /Mic, 2002


include beeampee.e


atom ret,lpText
sequence image


ret = init_beeampee()
if ret=0 then
	puts(1,"init_beeampee failed")
	abort(0)
end if

puts(1,"Loading bitmap..\n")
image = LoadBitmap("dos8.bmp")
if image[5]=0 then
	printf(1,"Success: image.lpbits = %08xh, image.xdim = %d, image.errorcode = %d\n",{image[1],image[2],image[5]})
else
	puts(1,"Failed")
	uninit_beeampee()
	abort(0)
end if

-- Tell SaveBMP what it should write to the file
config_beeampee(BMP_HEADER,BMP_HEADER)	
config_beeampee(BMP_PALETTE,BMP_PALETTE)	

puts(1,"Writing copy of image to DOS8COPY.BMP..\n")
if SaveBitmap("dos8copy.bmp",image,image) then 
	puts(1,"SaveBMP Failed\n")
end if


FreeBitmap(image)
uninit_beeampee()

puts(1,"Press any key..")
while get_key()=-1 do
end while
