-- Testprogram for GenDLL
-- /Mic, 2002


include gendll.e


constant DLLNAME = "testdll.dll",
	 FUNNAME = "n_times_5",
	 FUNPARM = {C_INT},
	 FUNRET  = C_INT,
	 FUNARG = {8}
	 
	 
integer testdll,f
atom ret


puts(1,"\nLoading "&DLLNAME&"...")


testdll = open_dll(DLLNAME)
if testdll<=0 then
	puts(1,"Failed to load dll!")
	abort(0)
end if
puts(1,"OK\n")


f = define_c_func(testdll, FUNNAME, FUNPARM, FUNRET)
if f<=0 then
	puts(1,"Couldn\'t find function "&FUNNAME)
	abort(0)
end if


puts(1,"Calling function..\n")

ret = c_func(f, FUNARG)

printf(1, FUNNAME&" returned %d\n", ret)


puts(1, "\nClosing DLL\n\n")

close_dll(testdll)


puts(1,"Press any key..")
while get_key()=-1 do
end while
